Subject: Clipboard enabled on session resume

From: Brent French <[email-masked]>
Date: Thu, 28 Jan 2016 11:18:09 -0800

Package: x2goserver
Version: 4.0.1.19-0~1604~ubuntu14.04.1

I want to disable to clipboard on the server side, and have edited
/etc/x2go/x2goagent.options:
X2GO_NXAGENT_DEFAULT_OPTION+=" -clipboard none"

When I first establish a session, this appears to work as expected. 
However, after I disconnect from a session, and then resume that
session, I can now use the clipboard for bidirectional copy and paste.

I am using Ubuntu 14.04 as the server, and have been able to reproduce
the bug on both the Windows and Ubuntu clients.

Severity: grave

-- 
Brent French
Systems Administrator
Eigen Development Ltd.
#300 - 1807 West 10th Avenue
Vancouver BC, V6J 2A9

t. 604.736.1066 
f. 604.736.5669
e. [email-masked]

*************************************************

ATTENTION
The information in this e-mail and in any attachments is confidential and intended solely for the attention and use of the named addressee(s). It must not be disclosed to any person without our authority. If you are not the intended recipient, or a person responsible for delivering it to the intended recipient, you are not authorized to and must not disclose, copy, distribute, or retain this message or any part of it.

*************************************************